Create a trained model vocabulary PUT /_ml/trained_models/{model_id}/vocabulary Auth This API is supported only for natural language processing (NLP) models. The vocabulary is stored in the index as described in inference_config.*.vocabulary of the trained model definition. Required privileges Cluster privileges manage_ml Expand all Path parameters model_id string required The unique identifier of the trained model. Request body { } vocabulary string[] required The model vocabulary, which must not be empty. merges string[] The optional model merges if required by the tokenizer. scores number[] The optional vocabulary value scores if required by the tokenizer. Response 200 application/json acknowledged boolean required For a successful response, this value is always true. On failure, an exception is returned instead.